Bug 535383 - (RHQ-2085) consider using jline for the agent prompt
consider using jline for the agent prompt
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.4.0.B01
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: RHQ-1608
  Show dependency treegraph
 
Reported: 2009-05-13 08:50 EDT by John Mazzitelli
Modified: 2015-06-07 03:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-05-13 08:50:00 EDT
http://jline.sourceforge.net/

Can provide cross-platform command history and other features.
Comment 1 Red Hat Bugzilla 2009-11-10 15:57:27 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2085
Comment 2 Bryan Kearney 2010-02-01 11:10:14 EST
Jline is in. So the agent now supports up arrow to get the previous commands. Also, when doing password inputs you should see stars instead of blank echos.
Comment 3 Corey Welton 2010-03-23 13:19:00 EDT
QA Verified - this seems to work nicely.  Very useful!
Comment 4 Corey Welton 2010-08-12 12:50:10 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.